import { ref as z, watch as B, defineComponent as p, useSlots as $, openBlock as i, createBlock as x, resolveDynamicComponent as y, normalizeClass as f, unref as l, withCtx as O, createCommentVNode as d, createElementBlock as c, renderSlot as F, computed as w, useAttrs as S, normalizeStyle as M, createElementVNode as m, toDisplayString as b, mergeProps as N, toRef as R, createStaticVNode as I, toRefs as q, withDirectives as H, isRef as P, vModelCheckbox as j, Fragment as V, createVNode as L } from "vue";
const W = {
  neutral: {
    0: "#ffffff",
    50: "#f9fafb",
    100: "#f3f4f6",
    200: "#e5e7eb",
    300: "#d1d5db",
    400: "#9ca3af",
    500: "#6b7280",
    600: "#4b5563",
    700: "#374151",
    800: "#1f2937",
    900: "#111827"
  },
  brand: {
    50: "#f5f8f8",
    100: "#eaeeef",
    200: "#d2dadb",
    300: "#acbdbd",
    400: "#8ea6a6",
    500: "#437571",
    600: "#004e48",
    700: "#023d38",
    800: "#021f1c",
    900: "#020a0b"
  },
  green: {
    50: "#eefff4",
    100: "#d7ffe7",
    200: "#b2ffd1",
    300: "#7dffb3",
    400: "#33f584",
    500: "#09de62",
    600: "#01b84e",
    700: "#059040",
    800: "#0a7137",
    900: "#0a5d2f"
  },
  lime: {
    50: "#f7ffe4",
    100: "#ebffc4",
    200: "#d8ff90",
    300: "#bbff50",
    400: "#a9ff34",
    500: "#7fe600",
    600: "#61b800",
    700: "#498b00",
    800: "#3b6d07",
    900: "#335c0b"
  },
  teal: {
    50: "#effefd",
    100: "#c7fffa",
    200: "#7dfff4",
    300: "#50f8ef",
    400: "#1de4e1",
    500: "#04c8c7",
    600: "#009da1",
    700: "#057d80",
    800: "#0a6165",
    900: "#0d5154"
  },
  blue: {
    50: "#eef9ff",
    100: "#d9f1ff",
    200: "#bce8ff",
    300: "#8edbff",
    400: "#59c5ff",
    500: "#34a9ff",
    600: "#1b8af5",
    700: "#1472e1",
    800: "#175bb6",
    900: "#194e8f"
  },
  purple: {
    50: "#f9f4ff",
    100: "#f0e5ff",
    200: "#e4d0ff",
    300: "#d0acff",
    400: "#b276ff",
    500: "#9542ff",
    600: "#8a34ff",
    700: "#6a0ee2",
    800: "#5b12b7",
    900: "#4c1093"
  },
  pink: {
    50: "#fef1f9",
    100: "#fee5f5",
    200: "#ffcaed",
    300: "#ff9fdd",
    400: "#ff63c4",
    500: "#ff34a9",
    600: "#f01287",
    700: "#d1056b",
    800: "#ad0758",
    900: "#8f0c4c"
  },
  red: {
    50: "#fff1f1",
    100: "#ffe3e3",
    200: "#ffcccf",
    300: "#ffa1a7",
    400: "#ff7d88",
    500: "#f93a4f",
    600: "#e71738",
    700: "#c30d2e",
    800: "#a30e2e",
    900: "#8b102f"
  },
  orange: {
    50: "#fff5ed",
    100: "#ffe9d4",
    200: "#ffcfa9",
    300: "#ffb37d",
    400: "#fe7f39",
    500: "#fc5c13",
    600: "#ed4109",
    700: "#c52e09",
    800: "#9c2610",
    900: "#7e2111"
  },
  yellow: {
    50: "#fefde8",
    100: "#fffdc2",
    200: "#fff87b",
    300: "#ffee45",
    400: "#fcdd13",
    500: "#ecc406",
    600: "#cc9902",
    700: "#a26d06",
    800: "#86550d",
    900: "#724611"
  },
  "silver-tree": {
    50: "#f3faf7",
    100: "#d8efe5",
    200: "#b1decc",
    300: "#82c6ad",
    400: "#5cab91",
    500: "#3e8e75",
    600: "#30715e",
    700: "#2a5b4e",
    800: "#254a40",
    900: "#223f37"
  },
  gimblet: {
    50: "#faf9f2",
    100: "#f3f1e1",
    200: "#e5e1c3",
    300: "#d5cd9c",
    400: "#bdac67",
    500: "#b6a059",
    600: "#a98d4d",
    700: "#8c7142",
    800: "#725c3a",
    900: "#5d4b31"
  },
  mongoose: {
    50: "#f9f7f3",
    100: "#f2ede2",
    200: "#e4d9c4",
    300: "#d2bf9f",
    400: "#bfa178",
    500: "#b28b5d",
    600: "#a47852",
    700: "#896245",
    800: "#6f4f3d",
    900: "#5b4233"
  },
  "muddy-waters": {
    50: "#f9f4f1",
    100: "#eedfd7",
    200: "#dbbeac",
    300: "#c89a81",
    400: "#bd8167",
    500: "#b06450",
    600: "#9b4f44",
    700: "#813d3c",
    800: "#6b3538",
    900: "#592e30"
  },
  viola: {
    50: "#faf5f7",
    100: "#f6edf1",
    200: "#eedce3",
    300: "#e2bfcc",
    400: "#ce97ab",
    500: "#bc788f",
    600: "#a75b71",
    700: "#8e485a",
    800: "#763e4c",
    900: "#643742"
  },
  "light-wisteria": {
    50: "#fbf8fc",
    100: "#f6eef9",
    200: "#f0e0f4",
    300: "#e3c7eb",
    400: "#d0a3dd",
    500: "#bd7fcd",
    600: "#aa62bb",
    700: "#924ea2",
    800: "#7a4485",
    900: "#63386b"
  },
  "cold-purple": {
    50: "#f6f6fc",
    100: "#efeef9",
    200: "#e1e0f4",
    300: "#cac6ec",
    400: "#a69ddc",
    500: "#9181d1",
    600: "#7d65c2",
    700: "#6c53ae",
    800: "#5b4592",
    900: "#4b3a78"
  },
  "polo-blue": {
    50: "#f4f6fa",
    100: "#e6ebf3",
    200: "#d2dbeb",
    300: "#b4c4dc",
    400: "#97abce",
    500: "#758abc",
    600: "#6274ae",
    700: "#57639e",
    800: "#4b5382",
    900: "#3f4669"
  },
  neptune: {
    50: "#f2f9f9",
    100: "#ddeef0",
    200: "#bfdfe2",
    300: "#92c7ce",
    400: "#74b2bc",
    500: "#438a97",
    600: "#3a7280",
    700: "#345e6a",
    800: "#314f59",
    900: "#2d444c"
  },
  mantis: {
    50: "#f5faf3",
    100: "#e7f5e3",
    200: "#cfeac8",
    300: "#a9d89d",
    400: "#78bd67",
    500: "#57a245",
    600: "#448534",
    700: "#37692c",
    800: "#2f5427",
    900: "#284522"
  },
  isbre: {
    50: "#FCFDFD",
    100: "#F6F9F9",
    200: "#F1F5F5",
    300: "#ECF1F1",
    400: "#E6EDED",
    500: "#E1E8E9",
    600: "#DCE4E4",
    700: "#D7DFE0"
  }
};
function G(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var A = {}, k = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(r) {
    return Array.isArray(r) ? r.map((n) => t(n)) : typeof r == "object" && r !== null ? Object.fromEntries(Object.entries(r).map(([n, a]) => [
      n,
      t(a)
    ])) : r;
  }
})(k);
var Z = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  const t = k, r = /* @__PURE__ */ n(Z);
  function n(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const a = (0, t.cloneDeep)(r.default.theme);
})(A);
let C = A;
var K = (C.__esModule ? C : { default: C }).default;
const E = /* @__PURE__ */ G(K), Q = {
  sans: ["Archivo", ...E.fontFamily.sans],
  serif: ["IBM Plex Serif", ...E.fontFamily.serif]
}, Y = {
  primary: "var(--neutral-900)",
  secondary: "var(--neutral-600)",
  tertiary: "var(--neutral-400)",
  success: {
    DEFAULT: "var(--green-900)"
  },
  warning: {
    DEFAULT: "var(--yellow-900)"
  },
  danger: {
    DEFAULT: "var(--red-900)"
  },
  info: {
    DEFAULT: "var(--blue-900)"
  },
  emphasis: {
    DEFAULT: "var(--neutral-0)"
  },
  interactive: {
    DEFAULT: "var(--silver-tree-600)",
    hover: "var(--silver-tree-700)",
    pressed: "var(--silver-tree-500)"
  },
  button: {
    primary: {
      DEFAULT: "var(--neutral-0)"
    },
    secondary: {
      DEFAULT: "var(--neutral-900)"
    },
    tertiary: {
      DEFAULT: "var(--silver-tree-600)",
      hover: "var(--silver-tree-700)",
      pressed: "var(--silver-tree-500)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--neutral-0)"
      },
      secondary: {
        DEFAULT: "var(--red-800)"
      },
      tertiary: {
        DEFAULT: "var(--neutral-900)",
        hover: "var(--red-800)",
        pressed: "var(--red-600)"
      }
    }
  }
}, J = {
  "on-primary": "var(--neutral-200)",
  "on-secondary": "var(--neutral-300)",
  "on-tertiary": "var(--neutral-400)",
  success: {
    DEFAULT: "rgba(10,92,47,0.4)"
  },
  warning: {
    DEFAULT: "rgba(115,71,17,0.4)"
  },
  danger: {
    DEFAULT: "rgba(137,16,46,0.4)"
  },
  info: {
    DEFAULT: "rgba(25,78,143,0.4)"
  },
  emphasis: {
    DEFAULT: "var(--neutral-800)"
  },
  button: {
    primary: {
      DEFAULT: "var(--silver-tree-700)",
      hover: "var(--silver-tree-800)",
      pressed: "var(--silver-tree-600)"
    },
    secondary: {
      DEFAULT: "var(--neutral-300)",
      hover: "var(--neutral-900)",
      pressed: "var(--neutral-400)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--red-800)",
        hover: "var(--red-900)",
        pressed: "var(--red-700)"
      },
      secondary: {
        DEFAULT: "var(--neutral-300)",
        hover: "var(--red-800)",
        pressed: "var(--red-700)"
      }
    }
  }
}, X = {
  primary: {
    DEFAULT: "var(--neutral-0)",
    hover: "var(--isbre-50)",
    active: "var(--isbre-200)"
  },
  secondary: {
    DEFAULT: "var(--isbre-100)",
    hover: "var(--isbre-200)",
    active: "var(--isbre-300)"
  },
  tertiary: {
    DEFAULT: "var(--isbre-400)",
    hover: "var(--isbre-500)",
    pressed: "var(--isbre-600)"
  },
  success: {
    DEFAULT: "var(--green-50)"
  },
  warning: {
    DEFAULT: "var(--yellow-50)"
  },
  danger: {
    DEFAULT: "var(--red-50)"
  },
  info: {
    DEFAULT: "var(--blue-50)"
  },
  emphasis: {
    DEFAULT: "var(--neutral-900)"
  },
  button: {
    primary: {
      DEFAULT: "var(--silver-tree-600)",
      hover: "var(--silver-tree-700)",
      pressed: "var(--silver-tree-500)"
    },
    secondary: {
      DEFAULT: "var(--neutral-0)",
      hover: "var(--neutral-50)",
      pressed: "var(--neutral-50)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--red-700)",
        hover: "var(--red-800)",
        pressed: "var(--red-600)"
      },
      secondary: {
        DEFAULT: "var(--neutral-0)",
        hover: "var(--red-50)",
        pressed: "var(--red-50)"
      }
    }
  }
}, _ = {
  "on-primary": "var(--neutral-200)",
  "on-secondary": "var(--neutral-300)",
  "on-tertiary": "var(--neutral-400)",
  success: {
    DEFAULT: "rgba(10,92,47,0.4)"
  },
  warning: {
    DEFAULT: "rgba(115,71,17,0.4)"
  },
  danger: {
    DEFAULT: "rgba(137,16,46,0.4)"
  },
  info: {
    DEFAULT: "rgba(25,78,143,0.4)"
  },
  emphasis: {
    DEFAULT: "var(--neutral-800)"
  },
  button: {
    primary: {
      DEFAULT: "var(--silver-tree-700)",
      hover: "var(--silver-tree-800)",
      pressed: "var(--silver-tree-600)"
    },
    secondary: {
      DEFAULT: "var(--neutral-300)",
      hover: "var(--neutral-900)",
      pressed: "var(--neutral-400)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--red-800)",
        hover: "var(--red-900)",
        pressed: "var(--red-700)"
      },
      secondary: {
        DEFAULT: "var(--neutral-300)",
        hover: "var(--red-800)",
        pressed: "var(--red-700)"
      }
    }
  }
}, ee = {
  "on-primary": "var(--neutral-200)",
  "on-secondary": "var(--neutral-300)",
  "on-tertiary": "var(--neutral-400)",
  success: {
    DEFAULT: "rgba(10,92,47,0.4)"
  },
  warning: {
    DEFAULT: "rgba(115,71,17,0.4)"
  },
  danger: {
    DEFAULT: "rgba(137,16,46,0.4)"
  },
  info: {
    DEFAULT: "rgba(25,78,143,0.4)"
  },
  emphasis: {
    DEFAULT: "var(--neutral-800)"
  },
  button: {
    primary: {
      DEFAULT: "var(--silver-tree-700)",
      hover: "var(--silver-tree-800)",
      pressed: "var(--silver-tree-600)"
    },
    secondary: {
      DEFAULT: "var(--neutral-300)",
      hover: "var(--neutral-900)",
      pressed: "var(--neutral-400)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--red-800)",
        hover: "var(--red-900)",
        pressed: "var(--red-700)"
      },
      secondary: {
        DEFAULT: "var(--neutral-300)",
        hover: "var(--red-800)",
        pressed: "var(--red-700)"
      }
    }
  }
}, te = {
  theme: {
    extend: {
      fontFamily: Q,
      colors: W,
      textColor: Y,
      borderColor: J,
      backgroundColor: X,
      outlineColor: _,
      ringColor: ee
    }
  }
}, Te = function({ addBase: e }) {
  const t = te.theme.extend.colors;
  for (const [r, n] of Object.entries(t))
    for (const a in n) {
      const o = `--${r}-${a}`;
      e({
        ":root": {
          [o]: n[a]
          // e.g. --neutral-600: #4b5563
        }
      });
    }
};
function T(e, t = 0, r = 1e3) {
  if (r <= 0.1)
    return { value: e };
  const n = z(t);
  function a(o, s) {
    const u = Date.now(), g = r, v = s - o, h = () => {
      const D = Date.now() - u, U = re(D, o, v, g);
      D < g ? (n.value = Math.floor(U), window.requestAnimationFrame(h)) : n.value = s;
    };
    h();
  }
  return B(
    e,
    (o) => {
      a(n.value ?? t, o);
    },
    { immediate: !0 }
  ), { value: n };
}
function re(e, t, r, n) {
  return e /= n, -r * e * (e - 2) + t;
}
const Ae = /* @__PURE__ */ p({
  __name: "BccButton",
  props: {
    is: { default: "button" },
    variant: { default: "primary" },
    color: { default: "default" },
    size: { default: "base" },
    icon: null,
    iconRight: { type: Boolean, default: !1 },
    center: { type: Boolean, default: !0 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = e, r = $(), n = t.icon !== void 0 && !r.default;
    return (a, o) => (i(), x(y(e.is), {
      disabled: e.disabled,
      class: f(["bcc-button", {
        "bcc-button-xs": e.size === "xs",
        "bcc-button-sm": e.size === "sm",
        "bcc-button-lg": e.size === "lg",
        "bcc-button-xl": e.size === "xl",
        "bcc-button-danger": e.color === "danger",
        "bcc-button-primary": e.variant === "primary",
        "bcc-button-secondary": e.variant === "secondary",
        "bcc-button-tertiary": e.variant === "tertiary",
        "bcc-button-icon-only": l(n),
        "bcc-button-rounded": e.rounded,
        "bcc-button-center": e.center
      }])
    }, {
      default: O(() => [
        e.icon ? (i(), x(y(e.icon), {
          key: 0,
          class: "bcc-button-icon order-2"
        })) : d("", !0),
        a.$slots.default ? (i(), c("span", {
          key: 1,
          class: f([e.iconRight ? "order-1" : "order-3"])
        }, [
          F(a.$slots, "default")
        ], 2)) : d("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
}), ae = { class: "space-y-2" }, ne = {
  key: 0,
  class: "bcc-input-label"
}, oe = {
  key: 1,
  class: "bcc-input-optional-label"
}, ie = ["disabled", "required", "value"], le = {
  inheritAttrs: !1
}, ke = /* @__PURE__ */ p({
  ...le,
  __name: "BccInput",
  props: {
    modelValue: null,
    state: { default: "default" },
    disabled: { type: Boolean, default: !1 },
    label: null,
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, r = w(() => t.showOptionalLabel && !t.required), n = S(), a = w(() => {
      let o = {};
      for (const s in n)
        s !== "class" && s !== "style" && (o[s] = n[s]);
      return o;
    });
    return (o, s) => (i(), c("div", {
      class: f(["inline-flex flex-col space-y-2", o.$attrs.class]),
      style: M(o.$attrs.style)
    }, [
      m("label", ae, [
        e.label || l(r) ? (i(), c("span", {
          key: 0,
          class: f(["flex gap-x-2", {
            "justify-between": e.label && l(r),
            "justify-end": !e.label && l(r)
          }])
        }, [
          e.label ? (i(), c("span", ne, b(e.label), 1)) : d("", !0),
          l(r) ? (i(), c("span", oe, b(e.optionalLabel), 1)) : d("", !0)
        ], 2)) : d("", !0),
        m("input", N({
          disabled: e.disabled,
          required: e.required,
          class: ["bcc-input", {
            "bcc-input-error": e.state === "error",
            "bcc-input-success": e.state === "success"
          }],
          value: e.modelValue,
          onInput: s[0] || (s[0] = (u) => o.$emit("update:modelValue", u.target.value))
        }, l(a)), null, 16, ie)
      ]),
      o.$slots.default ? (i(), c("span", {
        key: 0,
        class: f({
          "bcc-input-message-default": e.state === "default",
          "bcc-input-message-error": e.state === "error",
          "bcc-input-message-success": e.state === "success"
        })
      }, [
        F(o.$slots, "default")
      ], 2)) : d("", !0)
    ], 6));
  }
}), ce = { class: "order-2" }, Ue = /* @__PURE__ */ p({
  __name: "BccBadge",
  props: {
    icon: null,
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    variant: { default: "neutral" }
  },
  setup(e) {
    return (t, r) => (i(), c("div", {
      class: f(["bcc-badge", {
        "bcc-badge-sm": e.size === "sm",
        "bcc-badge-danger": e.variant === "danger",
        "bcc-badge-warning": e.variant === "warning",
        "bcc-badge-success": e.variant === "success",
        "bcc-badge-info": e.variant === "info"
      }])
    }, [
      e.icon ? (i(), x(y(e.icon), {
        key: 0,
        class: f(["bcc-badge-icon", [e.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : d("", !0),
      m("span", ce, [
        F(t.$slots, "default")
      ])
    ], 2));
  }
}), se = { key: 1 }, ze = /* @__PURE__ */ p({
  __name: "BccPin",
  props: {
    icon: null,
    variant: { default: "neutral" },
    text: null
  },
  setup(e) {
    return (t, r) => (i(), c("div", {
      class: f(["bcc-pin", {
        "bcc-pin-danger": e.variant === "danger",
        "bcc-pin-warning": e.variant === "warning",
        "bcc-pin-success": e.variant === "success",
        "bcc-pin-info": e.variant === "info"
      }])
    }, [
      e.icon ? (i(), x(y(e.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : e.text ? (i(), c("span", se, b(e.text), 1)) : d("", !0)
    ], 2));
  }
}), de = /* @__PURE__ */ m("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor",
  "stroke-opacity": "0.3"
}, null, -1), fe = ["stroke-dashoffset"], ue = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor"
}, me = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor"
}, Be = /* @__PURE__ */ p({
  __name: "BccCapacityIndicator",
  props: {
    total: null,
    used: { default: 0 },
    animate: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = t.animate ? 1e3 : 0, { value: n } = T(R(t, "used"), 0, r), { value: a } = T(
      w(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0),
      0,
      r
    ), o = Math.PI * 18 * 2;
    return (s, u) => (i(), c("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: f({
        "capacity-indicator-open": e.total == -1 || l(a) >= 0 && l(a) < 50,
        "capacity-indicator-warning": l(a) >= 50 && l(a) < 100,
        "capacity-indicator-full": l(a) >= 100
      })
    }, [
      de,
      l(a) > -1 ? (i(), c("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": o,
        "stroke-dashoffset": o * ((100 - l(a)) / 100),
        stroke: "currentColor",
        "stroke-opacity": "0.6",
        transform: "rotate(-90 20 20)"
      }, null, 8, fe)) : d("", !0),
      l(a) > -1 ? (i(), c("text", ue, b(l(a) < 100 ? e.total - l(n) : 0), 1)) : (i(), c("path", me))
    ], 2));
  }
}), $e = /* @__PURE__ */ p({
  __name: "BccAvatar",
  props: {
    initials: null,
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, r) => (i(), c("div", {
      class: f(["bcc-avatar", {
        "bcc-avatar-xs": e.size === "xs",
        "bcc-avatar-man": !e.child && e.gender === "male",
        "bcc-avatar-woman": !e.child && e.gender === "female",
        "bcc-avatar-person": !e.child && e.gender === "unknown",
        "bcc-avatar-boy": e.child && e.gender === "male",
        "bcc-avatar-girl": e.child && e.gender === "female",
        "bcc-avatar-child": e.child && e.gender === "unknown"
      }])
    }, b(e.initials.slice(0, 2)), 3));
  }
});
function pe(e, t) {
  return i(), c("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    m("path", { d: "M378 802.065q-6.717 0-12.554-2.358-5.837-2.359-11.316-7.837l-181-181q-10.195-10.196-10.195-24.87 0-14.674 10.195-24.87 10.196-10.195 23.99-10.195 13.793 0 24.228 10.195L378 717.782 737.891 358.13q10.196-10.195 24.37-10.315 14.174-.119 24.369 10.315 10.196 10.196 10.196 24.49 0 14.293-10.196 24.489L401.87 791.87q-5.479 5.478-11.316 7.837-5.837 2.358-12.554 2.358Z" })
  ]);
}
function be(e, t) {
  return i(), c("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    m("path", { d: "M480 623.739 272.87 830.87q-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87L432.261 576 225.13 368.87q-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87 10.196-10.195 23.87-10.195 13.674 0 23.87 10.195L480 528.261 687.13 321.13q10.196-10.195 23.87-10.195 13.674 0 23.87 10.195 10.195 10.196 10.195 23.87 0 13.674-10.195 23.87L527.739 576 734.87 783.13q10.195 10.196 10.195 23.87 0 13.674-10.195 23.87-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195L480 623.739Z" })
  ]);
}
const ge = (e, t) => {
  const r = e.__vccOpts || e;
  for (const [n, a] of t)
    r[n] = a;
  return r;
}, xe = {}, ve = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, he = /* @__PURE__ */ I('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), ye = [
  he
];
function we(e, t) {
  return i(), c("svg", ve, ye);
}
const Ce = /* @__PURE__ */ ge(xe, [["render", we]]), Fe = ["disabled"], De = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, Le = {
  key: 0,
  class: "bcc-toggle-label"
}, Oe = /* @__PURE__ */ p({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: n, wasToggled: a, disabled: o, loading: s } = q(r), u = w({
      get() {
        return !!n.value;
      },
      set(g) {
        t("update:modelValue", g);
      }
    });
    return (g, v) => (i(), c("label", {
      class: f(["bcc-toggle", { "bcc-toggle-was-toggled": l(a) }])
    }, [
      H(m("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: l(s) || l(o),
        "onUpdate:modelValue": v[0] || (v[0] = (h) => P(u) ? u.value = h : null)
      }, null, 8, Fe), [
        [j, l(u)]
      ]),
      m("span", De, [
        l(s) ? (i(), x(Ce, {
          key: 0,
          class: "h-3 w-3"
        })) : e.withIcon ? (i(), c(V, { key: 1 }, [
          L(l(pe), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          L(l(be), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : d("", !0)
      ]),
      e.label ? (i(), c("span", Le, b(e.label), 1)) : d("", !0)
    ], 2));
  }
});
export {
  $e as BccAvatar,
  Ue as BccBadge,
  Ae as BccButton,
  Be as BccCapacityIndicator,
  ke as BccInput,
  ze as BccPin,
  Oe as BccToggle,
  te as bccForbundetTheme,
  Te as tailwindPlugin,
  T as useAnimatedNumber
};
